*============================================================================
  File:     All_Actions.sql

  Summary:  Get Extended Event action metadata

  Date:     April 2008

  SQL Server Version: 10.0.1300.13
------------------------------------------------------------------------------
  Copyright (C) 2008 Bob Beauchemin, SYSolutions, Inc.
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Bob Beauchemin.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

-- get the full names of all actions
-- for use in CREATE/ALTER EVENT SESSION

select p.name + '.' + o.name as [Full Name], 
       o.description
from sys.dm_xe_objects o
join sys.dm_xe_packages p on o.package_guid = p.guid
where o.object_type = 'action' order by p.name, o.name


